<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RelatedGrids.aspx.cs" Inherits="RelatedGrids" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <strong>Customers:</strong>
            <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
                <AjaxSettings>
                    <telerik:AjaxSetting AjaxControlID="RadGrid1">
                        <UpdatedControls>
                            <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                            <telerik:AjaxUpdatedControl ControlID="RadGrid2" />
                        </UpdatedControls>
                    </telerik:AjaxSetting>
                    <telerik:AjaxSetting AjaxControlID="RadGrid2">
                        <UpdatedControls>
                            <telerik:AjaxUpdatedControl ControlID="RadGrid2" />
                        </UpdatedControls>
                    </telerik:AjaxSetting>
                </AjaxSettings>
            </telerik:RadAjaxManager>
            <telerik:RadGrid ID="RadGrid1" runat="server" AllowSorting="true" AllowPaging="true"
                DataSourceID="AccessDataSource1" GridLines="None" Skin="Web20" Width="95%">
                <ClientSettings AllowKeyboardNavigation="true" EnablePostBackOnRowClick="true">
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
                <MasterTableView DataKeyNames="CustomerID" />
                <PagerStyle Mode="NextPrevAndNumeric" />
            </telerik:RadGrid>
            <br />
            <br />
            <strong>Orders:</strong>&nbsp;<asp:Label ID="Label1" Style="color: Navy; font-weight: bold;
                visibility: hidden;" runat="server">Loading...</asp:Label>
            <telerik:RadGrid ID="RadGrid2" ShowStatusBar="true" runat="server" AllowSorting="True"
                AllowPaging="True" DataSourceID="AccessDataSource2" GridLines="None" Skin="Web20"
                Width="95%" HorizontalAlign="NotSet" AllowAutomaticDeletes="true" AllowAutomaticInserts="true"
                AllowAutomaticUpdates="true" OnUpdateCommand="RadGrid2_UpdateCommand">
                <MasterTableView Width="100%" AutoGenerateColumns="False" DataKeyNames="OrderID"
                    DataSourceID="AccessDataSource2" CommandItemDisplay="Top">
                    <Columns>
                        <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32" HeaderText="OrderID"
                            ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="OrderDate" DataType="System.DateTime" HeaderText="OrderDate"
                            SortExpression="OrderDate" UniqueName="OrderDate" DataFormatString="{0:d}">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="RequiredDate" DataType="System.DateTime" HeaderText="RequiredDate"
                            SortExpression="RequiredDate" UniqueName="RequiredDate" DataFormatString="{0:d}">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="EmployeeID" HeaderText="EmployeeID" SortExpression="EmployeeID"
                            UniqueName="EmployeeID">
                        </telerik:GridBoundColumn>
                        <telerik:GridEditCommandColumn></telerik:GridEditCommandColumn>
                        <telerik:GridButtonColumn Text="Delete" CommandName="Delete"></telerik:GridButtonColumn>
                    </Columns>
                </MasterTableView>
                <PagerStyle Mode="NextPrevAndNumeric" />
            </telerik:RadGrid>
            
            <asp:SqlDataSource ID="SqlDataSource2" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                ProviderName="System.Data.SqlClient" SelectCommand="SELECT [OrderID], [OrderDate], [CustomerID], [ShipCountry] FROM [Orders] WHERE ([CustomerID] = @CustomerID)"
                runat="server">
                <SelectParameters>
                    <asp:ControlParameter ControlID="RadGrid1" DefaultValue="ALFKI" Name="CustomerID"
                        PropertyName="SelectedValue" Type="String" />
                </SelectParameters>
            </asp:SqlDataSource>
            
            <asp:AccessDataSource ID="AccessDataSource1" DataFile="~/App_Data/Nwind.mdb" SelectCommand="SELECT * FROM Customers"
                runat="server"></asp:AccessDataSource>
            <asp:AccessDataSource ID="AccessDataSource2" DataFile="~/App_Data/Nwind.mdb" runat="server"
                SelectCommand="SELECT * FROM Orders Where CustomerID = @CustomerID" DeleteCommand="DELETE FROM [Orders] WHERE [OrderID] = ?"
                InsertCommand="INSERT INTO Orders(CustomerID,  OrderDate, RequiredDate, EmployeeID) VALUES (?, ?, ?, ?)"
                UpdateCommand="UPDATE [Orders] SET [OrderDate] = ?, [RequiredDate] = ?, [EmployeeID] = ? WHERE [OrderID] = ?"
                OldValuesParameterFormatString="original_{0}" OnUpdated="AccessDataSource2_Updated" OnUpdating="AccessDataSource2_Updating" OnInserting="AccessDataSource2_Inserting">
                <SelectParameters>
                    <asp:ControlParameter ControlID="RadGrid1" DefaultValue="ALFKI" Name="CustomerID"
                        PropertyName="SelectedValue" Type="String" />
                </SelectParameters>
                <DeleteParameters>
                    <asp:Parameter Name="original_OrderID" Type="Int32" />
                </DeleteParameters>
                <UpdateParameters>                    
                    <asp:Parameter Name="OrderDate" Type="DateTime" />
                    <asp:Parameter Name="RequiredDate" Type="DateTime" />
                    <asp:Parameter Name="EmployeeID" Type="Int32" />
                    <asp:Parameter Name="original_OrderID" Type="Int32" />                    
                </UpdateParameters>
                <InsertParameters>
                    <asp:ControlParameter ControlID="RadGrid1" DefaultValue="ALFKI" Name="CustomerID"
                        PropertyName="SelectedValue" Type="String" />                    
                    <asp:Parameter Name="OrderDate" Type="DateTime" />
                    <asp:Parameter Name="RequiredDate" Type="DateTime" />
                    <asp:Parameter Name="EmployeeID" Type="Int32" />
                </InsertParameters>
            </asp:AccessDataSource>
            <br />
        </div>
    </form>
</body>
</html>
